/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.print.api.PrintingProjectCloudService;
import cn.com.qmth.examcloud.core.print.api.request.SyncPrintingProjectReq;
import cn.com.qmth.examcloud.core.print.api.response.SyncPrintingProjectResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
@Service("printingProjectCloudServiceClient")
public class PrintingProjectCloudServiceClient extends PrintCloudClientSupport implements PrintingProjectCloudService {
    private static final long serialVersionUID = 1L;
    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private RedisClient redisClient;

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    public SyncPrintingProjectResp syncPrintingProject(SyncPrintingProjectReq request) {
        return post("printing/project/sync", request, SyncPrintingProjectResp.class);
    }

}